Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(971)

Issue 247663003: Date and Time dialog for when the clock isn't synced. (Closed)

Created:
6 years, 6 months ago by michaelpg
Modified:
6 years, 6 months ago
CC:
chromium-reviews, dbeam+watch-options_chromium.org, sadrul, nkostylev+watch_chromium.org, ben+ash_chromium.org, oshima+watch_chromium.org, kalyank, stevenjb+watch_chromium.org, davemoore+watch_chromium.org, arv+watch_chromium.org
Visibility:
Public.

Description

Date and Time dialog for when the clock isn't synced. If the time has not been set automatically via network syncing, the system clock can be changed. This dialog allows the user to change the date, time and time zone when possible. The motivation is to unbrick devices with the wrong time that need to be rolled out into time-sensitive networks. Documentation of the changes to Chrome OS and Ash for this CL is here: https://docs.google.com/a/google.com/drawings/d/1T3demthtROnXf1iE31p5aIPcQzK9SmjfE9EjnJbZ4zs System Time Manual Update UI design doc: https://docs.google.com/a/google.com/document/d/1djzhBrtbx-52Gctp3Fd5MIosARbTwQh_lMmd_qUnqgo Screenshot with timezone: https://drive.google.com/a/google.com/file/d/0B6HSBrih6pNUd3p2SFBoVktjVzQ Screenshot from settings page, no timezone: https://drive.google.com/a/google.com/file/d/0B6HSBrih6pNUXzk0TjNiT0tKMTQ BUG=232066 TEST=SetTimeWebUITest, DateTimeOptionsWebUITest R=stevenjb@chromium.org,nkostylev@chromium.org,dbeam@chromium.org,derat@chromium.org,asvitkine@chromium.org TBR=sky@chromium.org # TBR for adding resources to chrome/browser/chrome_resources.grd Please review: stevenjb@chromium.org - ash/system - chromeos/dbus derat@chromium.org: - chrome/browser/chromeos - chrome/browser/ui/ash - chromeos/dbus (optional) nkostylev@chromium.org: - chrome/app - chrome/browser/chromeos - chrome/browser/resources/chromeos - chrome/browser/ui/webui/chrome_web_ui_controller_factory.cc - chrome/browser/ui/webui/chromeos - chrome/browser/ui/webui/options/chromeos - chrome/browser/browser_resources.grd - chrome/chrome_*.gypi - chrome/common dbeam@chromium.org: - chrome/browser/resources/options - chrome/browser/ui/webui/options/*.cc sky@chromium.org: - chrome/browser/browser_resources.grd Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=266431

Patch Set 1 : Set Time Dialog #

Total comments: 144

Patch Set 2 : Addressed feedback #

Total comments: 26

Patch Set 3 : Addressed new feedback #

Patch Set 4 : Browser tests #

Total comments: 2

Patch Set 5 : Separate actions for date tray view #

Total comments: 6

Patch Set 6 : #

Total comments: 44

Patch Set 7 : Moar edits #

Total comments: 16

Patch Set 8 : #

Total comments: 18

Patch Set 9 : Observe system clock #

Total comments: 8

Patch Set 10 : a11y #

Total comments: 5

Patch Set 11 : Feedback #

Patch Set 12 : rebase, single quotes in browsertest js #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1020 lines, -40 lines) Patch
M ash/system/chromeos/system_clock_observer.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +5 lines, -0 lines 0 comments Download
M ash/system/chromeos/system_clock_observer.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +8 lines, -1 line 0 comments Download
M ash/system/date/clock_observer.h View 1 chunk +1 line, -0 lines 0 comments Download
M ash/system/date/date_default_view.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ash/system/date/date_view.h View 1 2 3 4 2 chunks +4 lines, -4 lines 0 comments Download
M ash/system/date/date_view.cc View 1 2 3 4 5 6 3 chunks +12 lines, -10 lines 0 comments Download
M ash/system/date/tray_date.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +11 lines, -2 lines 0 comments Download
M ash/system/date/tray_date.cc View 1 2 3 4 5 6 7 8 9 10 3 chunks +18 lines, -1 line 0 comments Download
M ash/system/tray/default_system_tray_delegate.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M ash/system/tray/default_system_tray_delegate.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M ash/system/tray/system_tray_delegate.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M ash/system/tray/system_tray_notifier.h View 1 chunk +1 line, -0 lines 0 comments Download
M ash/system/tray/system_tray_notifier.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/app/chromeos_strings.grdp View 1 2 3 4 5 6 7 8 9 2 chunks +22 lines, -0 lines 0 comments Download
M chrome/browser/browser_resources.grd View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
A + chrome/browser/chromeos/set_time_dialog.h View 1 2 2 chunks +15 lines, -13 lines 0 comments Download
A chrome/browser/chromeos/set_time_dialog.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +85 lines, -0 lines 0 comments Download
A chrome/browser/resources/chromeos/set_time.css View 1 2 1 chunk +45 lines, -0 lines 0 comments Download
A chrome/browser/resources/chromeos/set_time.html View 1 2 3 4 5 6 7 8 9 10 1 chunk +39 lines, -0 lines 0 comments Download
A chrome/browser/resources/chromeos/set_time.js View 1 2 3 4 5 6 7 8 9 10 1 chunk +200 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.html View 1 2 1 chunk +7 lines, -1 line 0 comments Download
M chrome/browser/resources/options/browser_options.js View 1 2 3 4 5 6 7 8 9 10 3 chunks +25 lines, -1 line 0 comments Download
M chrome/browser/ui/ash/system_tray_delegate_chromeos.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_delegate_chromeos.cc View 1 2 3 4 5 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_delegate_win.cc View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/chrome_web_ui_controller_factory.cc View 2 chunks +3 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/chromeos/set_time_ui.h View 1 1 chunk +25 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/chromeos/set_time_ui.cc View 1 2 3 4 5 6 7 8 9 1 chunk +146 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/chromeos/set_time_ui_browsertest.js View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +37 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/chromeos/date_time_options_browsertest.js View 1 2 3 4 5 6 7 8 9 10 1 chunk +38 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/chromeos/date_time_options_handler.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +47 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/chromeos/date_time_options_handler.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +81 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/options_ui.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M chrome/chrome_browser_chromeos.gypi View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/common/url_constants.h View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/common/url_constants.cc View 2 chunks +2 lines, -0 lines 0 comments Download
M chromeos/dbus/fake_system_clock_client.h View 1 chunk +2 lines, -0 lines 0 comments Download
M chromeos/dbus/fake_system_clock_client.cc View 1 chunk +7 lines, -0 lines 0 comments Download
M chromeos/dbus/system_clock_client.h View 1 2 2 chunks +15 lines, -3 lines 0 comments Download
M chromeos/dbus/system_clock_client.cc View 1 2 5 chunks +73 lines, -3 lines 0 comments Download
M tools/metrics/actions/actions.xml View 1 2 3 4 5 6 7 8 9 10 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 45 (0 generated)
Nikita (slow)
Michael, can you please specify which parts of this CL should each of us review.
6 years, 6 months ago (2014-04-23 10:27:41 UTC) #1
michaelpg
On 2014/04/23 10:27:41, Nikita Kostylev wrote: > Michael, can you please specify which parts of ...
6 years, 6 months ago (2014-04-23 12:50:09 UTC) #2
Daniel Erat
i looked at the following: - chrome/browser/chromeos - chrome/browser/ui/ash - chromeos/dbus https://codereview.chromium.org/247663003/diff/20001/chrome/browser/chromeos/set_time_dialog.h File chrome/browser/chromeos/set_time_dialog.h (right): ...
6 years, 6 months ago (2014-04-23 16:33:22 UTC) #3
Dan Beam
out of curiosity, did you check (with someone like ben@) that using WebUI is OK ...
6 years, 6 months ago (2014-04-23 17:51:44 UTC) #4
michaelpg
Thanks for the detailed review, Dan! I haven't written much JavaScript at Google yet. On ...
6 years, 6 months ago (2014-04-23 18:40:06 UTC) #5
Dan Beam
fyi: here's some screenshots of this dialog in action - http://imgur.com/a/zyzyX
6 years, 6 months ago (2014-04-23 19:48:04 UTC) #6
stevenjb
https://codereview.chromium.org/247663003/diff/20001/chrome/browser/ui/ash/system_tray_delegate_chromeos.cc File chrome/browser/ui/ash/system_tray_delegate_chromeos.cc (right): https://codereview.chromium.org/247663003/diff/20001/chrome/browser/ui/ash/system_tray_delegate_chromeos.cc#newcode489 chrome/browser/ui/ash/system_tray_delegate_chromeos.cc:489: GetUserLoginStatus() == ash::user::LOGGED_IN_NONE) { nit: Only call GetUserLoginStatus() once. ...
6 years, 6 months ago (2014-04-23 21:32:03 UTC) #7
michaelpg
Thanks for looking. https://codereview.chromium.org/247663003/diff/20001/chrome/browser/chromeos/set_time_dialog.h File chrome/browser/chromeos/set_time_dialog.h (right): https://codereview.chromium.org/247663003/diff/20001/chrome/browser/chromeos/set_time_dialog.h#newcode25 chrome/browser/chromeos/set_time_dialog.h:25: protected: On 2014/04/23 16:33:22, Daniel Erat ...
6 years, 6 months ago (2014-04-24 01:32:22 UTC) #8
Nikita (slow)
Can you please provide screenshots? Does this dialog honor 12h/24h pref? https://codereview.chromium.org/247663003/diff/60001/chrome/browser/resources/chromeos/set_time.css File chrome/browser/resources/chromeos/set_time.css (right): ...
6 years, 6 months ago (2014-04-24 14:31:52 UTC) #9
stevenjb
https://codereview.chromium.org/247663003/diff/20001/chrome/browser/ui/webui/chromeos/set_time_ui.cc File chrome/browser/ui/webui/chromeos/set_time_ui.cc (right): https://codereview.chromium.org/247663003/diff/20001/chrome/browser/ui/webui/chromeos/set_time_ui.cc#newcode49 chrome/browser/ui/webui/chromeos/set_time_ui.cc:49: SetTimeMessageHandler::SetTimeMessageHandler() { On 2014/04/24 01:32:23, Michael Giuffrida wrote: > ...
6 years, 6 months ago (2014-04-24 17:06:22 UTC) #10
michaelpg
I've added updated screenshots to the description. Unfortunately, the Chrome <input type="time"> control does not ...
6 years, 6 months ago (2014-04-24 18:52:31 UTC) #11
Daniel Erat
https://codereview.chromium.org/247663003/diff/100001/chrome/browser/ui/ash/system_tray_delegate_chromeos.cc File chrome/browser/ui/ash/system_tray_delegate_chromeos.cc (right): https://codereview.chromium.org/247663003/diff/100001/chrome/browser/ui/ash/system_tray_delegate_chromeos.cc#newcode482 chrome/browser/ui/ash/system_tray_delegate_chromeos.cc:482: SetTimeDialog::ShowDialog(GetNativeWindow()); this method seems like a strange place to ...
6 years, 6 months ago (2014-04-24 19:49:59 UTC) #12
michaelpg
Changed the tray delegate logic per derat@'s suggestion. @asvitkine, I've added "ShowSetTimeDialog" to tools/metrics/actions/actions.xml. https://codereview.chromium.org/247663003/diff/100001/chrome/browser/ui/ash/system_tray_delegate_chromeos.cc ...
6 years, 6 months ago (2014-04-24 20:37:11 UTC) #13
Alexei Svitkine (slow)
https://codereview.chromium.org/247663003/diff/130001/tools/metrics/actions/actions.xml File tools/metrics/actions/actions.xml (right): https://codereview.chromium.org/247663003/diff/130001/tools/metrics/actions/actions.xml#newcode9966 tools/metrics/actions/actions.xml:9966: <description>Please enter the description of the metric.</description> Please fill ...
6 years, 6 months ago (2014-04-24 20:44:32 UTC) #14
Daniel Erat
https://codereview.chromium.org/247663003/diff/130001/chrome/browser/ui/ash/system_tray_delegate_win.cc File chrome/browser/ui/ash/system_tray_delegate_win.cc (right): https://codereview.chromium.org/247663003/diff/130001/chrome/browser/ui/ash/system_tray_delegate_win.cc#newcode106 chrome/browser/ui/ash/system_tray_delegate_win.cc:106: virtual void ShowSetTimeSetings() OVERRIDE { probably doesn't compile (should ...
6 years, 6 months ago (2014-04-24 20:46:18 UTC) #15
michaelpg
https://codereview.chromium.org/247663003/diff/130001/chrome/browser/ui/ash/system_tray_delegate_win.cc File chrome/browser/ui/ash/system_tray_delegate_win.cc (right): https://codereview.chromium.org/247663003/diff/130001/chrome/browser/ui/ash/system_tray_delegate_win.cc#newcode106 chrome/browser/ui/ash/system_tray_delegate_win.cc:106: virtual void ShowSetTimeSetings() OVERRIDE { On 2014/04/24 20:46:18, Daniel ...
6 years, 6 months ago (2014-04-24 20:55:47 UTC) #16
Daniel Erat
lgtm for the parts i was reviewing
6 years, 6 months ago (2014-04-24 21:08:04 UTC) #17
Dan Beam
https://codereview.chromium.org/247663003/diff/20001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js (right): https://codereview.chromium.org/247663003/diff/20001/chrome/browser/resources/chromeos/set_time.js#newcode33 chrome/browser/resources/chromeos/set_time.js:33: this.maxDate_.setYear(this.minDate_.getFullYear() + 20); On 2014/04/24 01:32:23, Michael Giuffrida wrote: ...
6 years, 6 months ago (2014-04-24 21:32:22 UTC) #18
Dan Beam
https://codereview.chromium.org/247663003/diff/150001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js (right): https://codereview.chromium.org/247663003/diff/150001/chrome/browser/resources/chromeos/set_time.js#newcode53 chrome/browser/resources/chromeos/set_time.js:53: if (currentTimezoneId !== '') { if (currentTimezoneId) https://codereview.chromium.org/247663003/diff/150001/chrome/browser/resources/chromeos/set_time.js#newcode98 chrome/browser/resources/chromeos/set_time.js:98: ...
6 years, 6 months ago (2014-04-24 21:54:32 UTC) #19
michaelpg
Thanks, Dan. I believe this addresses everything you've brought up so far, except for the ...
6 years, 6 months ago (2014-04-24 22:42:47 UTC) #20
Dan Beam
very very close https://codereview.chromium.org/247663003/diff/20001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js (right): https://codereview.chromium.org/247663003/diff/20001/chrome/browser/resources/chromeos/set_time.js#newcode144 chrome/browser/resources/chromeos/set_time.js:144: chrome.send('DialogClose'); On 2014/04/24 22:42:47, Michael Giuffrida ...
6 years, 6 months ago (2014-04-25 00:05:48 UTC) #21
stevenjb
https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc File chrome/browser/ui/webui/chromeos/set_time_ui.cc (right): https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc#newcode74 chrome/browser/ui/webui/chromeos/set_time_ui.cc:74: NOTREACHED(); On 2014/04/25 00:05:49, Dan Beam wrote: > this ...
6 years, 6 months ago (2014-04-25 01:41:10 UTC) #22
Dan Beam
https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc File chrome/browser/ui/webui/chromeos/set_time_ui.cc (right): https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc#newcode74 chrome/browser/ui/webui/chromeos/set_time_ui.cc:74: NOTREACHED(); On 2014/04/25 01:41:11, stevenjb wrote: > On 2014/04/25 ...
6 years, 6 months ago (2014-04-25 02:15:52 UTC) #23
michaelpg
https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc File chrome/browser/ui/webui/chromeos/set_time_ui.cc (right): https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc#newcode74 chrome/browser/ui/webui/chromeos/set_time_ui.cc:74: NOTREACHED(); On 2014/04/25 02:15:53, Dan Beam wrote: > On ...
6 years, 6 months ago (2014-04-25 02:40:23 UTC) #24
Dan Beam
https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc File chrome/browser/ui/webui/chromeos/set_time_ui.cc (right): https://codereview.chromium.org/247663003/diff/190001/chrome/browser/ui/webui/chromeos/set_time_ui.cc#newcode74 chrome/browser/ui/webui/chromeos/set_time_ui.cc:74: NOTREACHED(); On 2014/04/25 02:40:24, Michael Giuffrida wrote: > On ...
6 years, 6 months ago (2014-04-25 02:44:53 UTC) #25
Nikita (slow)
How are you hanling l10n? Specifically this dialog contents may not fit into the fixed ...
6 years, 6 months ago (2014-04-25 06:51:20 UTC) #26
michaelpg
On 2014/04/25 06:51:20, Nikita Kostylev wrote: > How are you hanling l10n? > > Specifically ...
6 years, 6 months ago (2014-04-25 07:17:10 UTC) #27
Alexei Svitkine (slow)
https://codereview.chromium.org/247663003/diff/150001/tools/metrics/actions/actions.xml File tools/metrics/actions/actions.xml (right): https://codereview.chromium.org/247663003/diff/150001/tools/metrics/actions/actions.xml#newcode9964 tools/metrics/actions/actions.xml:9964: <action name="ShowSetTimeDialog"> I know there's existing bad precedent, but ...
6 years, 6 months ago (2014-04-25 15:04:11 UTC) #28
Nikita (slow)
lgtm https://codereview.chromium.org/247663003/diff/60001/chrome/browser/resources/options/browser_options.js File chrome/browser/resources/options/browser_options.js (right): https://codereview.chromium.org/247663003/diff/60001/chrome/browser/resources/options/browser_options.js#newcode299 chrome/browser/resources/options/browser_options.js:299: if ($('set-time-button')) On 2014/04/24 18:52:32, Michael Giuffrida wrote: ...
6 years, 6 months ago (2014-04-25 17:06:17 UTC) #29
michaelpg
OK, please take another look, hopefully this can try the CQ today! https://codereview.chromium.org/247663003/diff/20001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js ...
6 years, 6 months ago (2014-04-25 20:05:13 UTC) #30
Dan Beam
lgtm w/nits https://codereview.chromium.org/247663003/diff/250001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js (right): https://codereview.chromium.org/247663003/diff/250001/chrome/browser/resources/chromeos/set_time.js#newcode89 chrome/browser/resources/chromeos/set_time.js:89: $('date').value === '' || $('time').value === '') ...
6 years, 6 months ago (2014-04-25 22:02:42 UTC) #31
Alexei Svitkine (slow)
lgtm with a suggestion https://codereview.chromium.org/247663003/diff/290001/tools/metrics/actions/actions.xml File tools/metrics/actions/actions.xml (right): https://codereview.chromium.org/247663003/diff/290001/tools/metrics/actions/actions.xml#newcode9789 tools/metrics/actions/actions.xml:9789: <action name="SetTimeDialog_Show"> Nit: How about: ...
6 years, 6 months ago (2014-04-25 22:25:26 UTC) #32
stevenjb
non-webui lgtm w/nits https://codereview.chromium.org/247663003/diff/270001/ash/system/chromeos/system_clock_observer.cc File ash/system/chromeos/system_clock_observer.cc (right): https://codereview.chromium.org/247663003/diff/270001/ash/system/chromeos/system_clock_observer.cc#newcode41 ash/system/chromeos/system_clock_observer.cc:41: ->GetSystemClockClient()->CanSetTime(); nit: I think it would ...
6 years, 6 months ago (2014-04-25 22:53:31 UTC) #33
michaelpg
Thanks all! https://codereview.chromium.org/247663003/diff/250001/chrome/browser/resources/chromeos/set_time.js File chrome/browser/resources/chromeos/set_time.js (right): https://codereview.chromium.org/247663003/diff/250001/chrome/browser/resources/chromeos/set_time.js#newcode89 chrome/browser/resources/chromeos/set_time.js:89: $('date').value === '' || $('time').value === '') ...
6 years, 6 months ago (2014-04-25 23:50:28 UTC) #34
michaelpg
The CQ bit was checked by michaelpg@chromium.org
6 years, 6 months ago (2014-04-26 02:31:46 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/michaelpg@chromium.org/247663003/330001
6 years, 6 months ago (2014-04-26 02:33:46 UTC) #36
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 6 months ago (2014-04-26 02:44:26 UTC) #37
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.chromium on chromium_presubmit
6 years, 6 months ago (2014-04-26 02:44:27 UTC) #38
michaelpg
The CQ bit was checked by michaelpg@chromium.org
6 years, 6 months ago (2014-04-26 02:50:59 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/michaelpg@chromium.org/247663003/330001
6 years, 6 months ago (2014-04-26 02:52:52 UTC) #40
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 6 months ago (2014-04-26 04:04:50 UTC) #41
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.chromium on win_chromium_rel
6 years, 6 months ago (2014-04-26 04:04:51 UTC) #42
michaelpg
The CQ bit was checked by michaelpg@chromium.org
6 years, 6 months ago (2014-04-26 04:17:08 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/michaelpg@chromium.org/247663003/330001
6 years, 6 months ago (2014-04-26 04:17:43 UTC) #44
commit-bot: I haz the power
6 years, 6 months ago (2014-04-28 05:47:03 UTC) #45
Message was sent while issue was closed.
Change committed as 266431

Powered by Google App Engine
This is Rietveld 408576698